# Withdrawal records

## Get withdrawal records

> Get withdrawal records for the authenticated user with pagination

```json
{"openapi":"3.1.1","info":{"title":"Espresso API Server","version":"1.0"},"security":[{"ApiKeyAuth":[]}],"paths":{"/accounts/withdrawal-records":{"get":{"description":"Get withdrawal records for the authenticated user with pagination","tags":["accounts"],"summary":"Get withdrawal records","parameters":[{"schema":{"type":"string"},"description":"API Key","name":"X-API-KEY","in":"header","required":true},{"schema":{"type":"integer"},"description":"Page number for pagination, default is 1","name":"page","in":"query"},{"schema":{"type":"integer"},"description":"Limit number of records per page, default is 10","name":"limit","in":"query"}],"responses":{"200":{"description":"Paginated withdrawal records","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.PaginatedResponse-espresso_internal_api_entities_WithdrawalRecord"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}}}}}},"components":{"schemas":{"espresso_internal_api_response.PaginatedResponse-espresso_internal_api_entities_WithdrawalRecord":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/espresso_internal_api_entities.WithdrawalRecord"}},"total_count":{"type":"integer"},"total_page":{"type":"integer"}}},"espresso_internal_api_entities.WithdrawalRecord":{"type":"object","properties":{"assets":{"type":"array","items":{"$ref":"#/components/schemas/espresso_internal_api_entities.AssetRecord"}},"created_at":{"type":"string"},"status":{"allOf":[{"$ref":"#/components/schemas/schema.TransactionStatus"}]}}},"espresso_internal_api_entities.AssetRecord":{"type":"object","properties":{"asset":{"type":"string"},"asset_unit":{"type":"string"},"qty":{"type":"string"}}},"schema.TransactionStatus":{"type":"string","enum":["building","submitted","submission_failed","confirmed"]},"espresso_internal_api_response.ErrorJSONWithCodeResponse":{"type":"object","properties":{"code":{"type":"integer"},"error":{"type":"string"}}}}}}
```
